| darcs-2.4.3: a distributed, interactive, smart revision control system | Source code | Contents | Index
Darcs.Patch.ReadMonads
Documentation
class Monad m => ParserM m where | Source
Methods
work :: (ByteString -> Maybe (a, ByteString)) -> m a | Source
maybe_work :: (ByteString -> Maybe (a, ByteString)) -> m (Maybe a) | Source
peek_input :: m ByteString | Source
Instances
ParserM LM
ParserM SM
alter_input :: ParserM m => (ByteString -> ByteString) -> m () | Source
parse_strictly :: SM a -> ByteString -> Maybe (a, ByteString) | Source
parse_lazily :: LM a -> ByteString -> (a, ByteString) | Source
lex_char :: ParserM m => Char -> m () | Source
lex_string :: ParserM m => String -> m () | Source
lex_strings :: ParserM m => [String] -> m String | Source
lex_eof :: ParserM m => m () | Source
my_lex :: ByteString -> Maybe (ByteString, ByteString) | Source
Produced by Haddock version 2.4.2